summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-06-25 09:02:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-25 09:02:06 +0700
commit73807f11b5d1d88af14955f43e2db823c5ca4e43 (patch)
tree137367ecd2013a954d49a4b713ebaf860419ab21 /libraries
parent6a3f39d85fd0b29f02a3d32e5245138c5cc90cc7 (diff)
downloadslackbuilds-73807f11b5d1d88af14955f43e2db823c5ca4e43.tar.gz
slackbuilds-73807f11b5d1d88af14955f43e2db823c5ca4e43.tar.xz
libraries/bwidget: Added (megawidgets for Tk).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/bwidget/README12
-rw-r--r--libraries/bwidget/bwidget.SlackBuild86
-rw-r--r--libraries/bwidget/bwidget.info10
-rw-r--r--libraries/bwidget/doinst.sh9
-rw-r--r--libraries/bwidget/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/libraries/bwidget/README b/libraries/bwidget/README
new file mode 100644
index 0000000000..a26b379f52
--- /dev/null
+++ b/libraries/bwidget/README
@@ -0,0 +1,12 @@
+The BWidget Toolkit is a high-level Widget Set for Tcl/Tk built using
+native Tcl/Tk 8.x namespaces. The BWidgets have a professional look
+and feel as in other well known Toolkits (Tix or Incr Widgets), but
+the concept is radically different because everything is pure Tcl/Tk.
+No platform dependencies, and no compiling required. The code is 100%
+Pure Tcl/Tk.
+
+The BWidget library was originally developed by UNIFIX Online, and
+released under both the GNU Public License and the Tcl
+license. BWidget is now maintained as a community project, hosted
+by Sourceforge. Scores of fixes and enhancements have been added by
+community developers.
diff --git a/libraries/bwidget/bwidget.SlackBuild b/libraries/bwidget/bwidget.SlackBuild
new file mode 100644
index 0000000000..d9eccfdcc7
--- /dev/null
+++ b/libraries/bwidget/bwidget.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for bwidget
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bwidget
+VERSION=${VERSION:-1.9.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d $PKG/usr/lib${LIBDIRSUFFIX}/tcl8.6
+cp -r $TMP/$PRGNAM-$VERSION $PKG/usr/lib${LIBDIRSUFFIX}/tcl8.6/
+rm $PKG/usr/lib${LIBDIRSUFFIX}/tcl8.6/$PRGNAM-$VERSION/*.txt
+rm $PKG/usr/lib${LIBDIRSUFFIX}/tcl8.6/$PRGNAM-$VERSION/ChangeLog
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/bwidget/bwidget.info b/libraries/bwidget/bwidget.info
new file mode 100644
index 0000000000..45d39827bb
--- /dev/null
+++ b/libraries/bwidget/bwidget.info
@@ -0,0 +1,10 @@
+PRGNAM="bwidget"
+VERSION="1.9.7"
+HOMEPAGE="http://core.tcl.tk/bwidget/home"
+DOWNLOAD="http://downloads.sourceforge.net/project/tcllib/BWidget/1.9.7/bwidget-1.9.7.tar.gz"
+MD5SUM="7b4acf73f8f49964f8185e9e9dab4a55"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/libraries/bwidget/doinst.sh b/libraries/bwidget/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/libraries/bwidget/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/libraries/bwidget/slack-desc b/libraries/bwidget/slack-desc
new file mode 100644
index 0000000000..62d476bd76
--- /dev/null
+++ b/libraries/bwidget/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bwidget: bwidget (A suite of megawidgets for Tk)
+bwidget:
+bwidget: The BWidget Toolkit is a high-level Widget Set for Tcl/Tk
+bwidget: built using native Tcl/Tk 8.x namespaces. The BWidgets have a
+bwidget: professional look and feel as in other well known Toolkits
+bwidget: (Tix or IncrWidgets), but the concept is radically different
+bwidget: because everything is pure Tcl/Tk. No platform dependencies,
+bwidget: and no compiling required. The code is 100% Pure Tcl/Tk.
+bwidget:
+bwidget:
+bwidget: